CVE-2007-0238

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Stack-based buffer overflow in filter\starcalc\scflt.cxx in the StarCalc parser in OpenOffice.org (OOo) Office Suite before 2.2, and 1.x before 1.1.5 Patch, allows user-assisted remote attackers to execute arbitrary code via a document with a long Note.

References

http://lists.suse.com/archive/suse-security-announce/2007-Mar/0007.html

http://secunia.com/advisories/24465

http://secunia.com/advisories/24550

http://secunia.com/advisories/24588

http://secunia.com/advisories/24613

http://secunia.com/advisories/24646

http://secunia.com/advisories/24647

http://secunia.com/advisories/24676

http://secunia.com/advisories/24810

http://secunia.com/advisories/24906

http://sunsolve.sun.com/search/document.do?assetkey=1-26-102794-1

http://www.debian.org/security/2007/dsa-1270

http://www.gentoo.org/security/en/glsa/glsa-200704-12.xml

http://www.mandriva.com/security/advisories?name=MDKSA-2007:073

http://www.ngssoftware.com/advisories/high-risk-vulnerabilities-in-the-openoffice-suite/

http://www.openoffice.org/security/CVE-2007-0238

http://www.redhat.com/support/errata/RHSA-2007-0033.html

http://www.redhat.com/support/errata/RHSA-2007-0069.html

http://www.securityfocus.com/archive/1/464724/100/0/threaded

http://www.securityfocus.com/bid/23067

http://www.securitytracker.com/id?1017799

http://www.ubuntu.com/usn/usn-444-1

http://www.vupen.com/english/advisories/2007/1032

http://www.vupen.com/english/advisories/2007/1117

https://exchange.xforce.ibmcloud.com/vulnerabilities/33112

https://issues.foresightlinux.org/browse/FL-211

https://issues.rpath.com/browse/RPL-1118

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A8968

Details

Source: MITRE

Published: 2007-03-21

Updated: 2018-10-16

Type: CWE-119

Risk Information

CVSS v2

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:openoffice:openoffice:*:*:*:*:*:*:*:*

Tenable Plugins

View all (28 total)

IDNameProductFamilySeverity
107858Solaris 10 (x86) : 120190-23NessusSolaris Local Security Checks
high
107857Solaris 10 (x86) : 120186-23NessusSolaris Local Security Checks
high
107356Solaris 10 (sparc) : 120189-23NessusSolaris Local Security Checks
high
107355Solaris 10 (sparc) : 120185-23NessusSolaris Local Security Checks
high
67443Oracle Linux 3 / 4 : openoffice.org (ELSA-2007-0033)NessusOracle Linux Local Security Checks
high
63838RHEL 5 : openoffice.org (RHSA-2007:0069)NessusRed Hat Local Security Checks
high
29365SuSE 10 Security Update : OpenOffice_org (ZYPP Patch Number 2651)NessusSuSE Local Security Checks
high
28041Ubuntu 5.10 / 6.06 LTS / 6.10 : openoffice.org(2)/-amd64, ia32-libs-openoffice.org vulnerabilities (USN-444-1)NessusUbuntu Local Security Checks
high
27137openSUSE 10 Security Update : OpenOffice_org (OpenOffice_org-2682)NessusSuSE Local Security Checks
high
27136openSUSE 10 Security Update : OpenOffice_org (OpenOffice_org-2652)NessusSuSE Local Security Checks
high
25057GLSA-200704-12 : OpenOffice.org: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
25004Sun OpenOffice.org < 2.2 Multiple VulnerabilitiesNessusWindows
high
24941Mandrake Linux Security Advisory : openoffice.org (MDKSA-2007:073)NessusMandriva Local Security Checks
high
24896RHEL 3 / 4 : openoffice.org (RHSA-2007:0033)NessusRed Hat Local Security Checks
high
24879Debian DSA-1270-2 : openoffice.org - several vulnerabilitiesNessusDebian Local Security Checks
high
24877CentOS 3 / 4 : openoffice.org (CESA-2007:0033)NessusCentOS Local Security Checks
high
23617Solaris 5.9 (x86) : 120190-19NessusSolaris Local Security Checks
high
23616Solaris 5.9 (x86) : 120186-19NessusSolaris Local Security Checks
high
23558Solaris 5.9 (sparc) : 120189-19NessusSolaris Local Security Checks
high
23557Solaris 5.9 (sparc) : 120185-19NessusSolaris Local Security Checks
high
23468Solaris 5.8 (x86) : 120190-19NessusSolaris Local Security Checks
high
23467Solaris 5.8 (x86) : 120186-19NessusSolaris Local Security Checks
high
23420Solaris 5.8 (sparc) : 120189-19NessusSolaris Local Security Checks
high
23419Solaris 5.8 (sparc) : 120185-19NessusSolaris Local Security Checks
high
22994Solaris 5.10 (x86) : 120190-19NessusSolaris Local Security Checks
high
22993Solaris 5.10 (x86) : 120186-19NessusSolaris Local Security Checks
high
22961Solaris 5.10 (sparc) : 120189-19NessusSolaris Local Security Checks
high
22960Solaris 5.10 (sparc) : 120185-19NessusSolaris Local Security Checks
high